package fr.unice.reneviergonin.demogesture;

import android.content.Context;
import android.support.v4.view.GestureDetectorCompat;
import android.util.Log;
import android.view.GestureDetector;
import android.view.MotionEvent;
import android.view.View;

import fr.unice.reneviergonin.demogesture.images.Squares;


public class GestureCommad implements GestureDetector.OnGestureListener,  View.OnTouchListener {

    private Squares  controled;
    GestureDetectorCompat detector;

    public GestureCommad(Context c, View source, Squares controled) {
        detector = new GestureDetectorCompat(c,this);
        // pas d'abonnement direct (c.f. l'activité)
        // source.setOnTouchListener(this);
        this.controled = controled;
    }

    @Override
    public boolean onDown(MotionEvent motionEvent) {
        Log.d("Gesture", "onDown");
        return true;
    }

    @Override
    public void onShowPress(MotionEvent motionEvent) {
        Log.d("Gesture", "onShowPress");

    }

    @Override
    public boolean onSingleTapUp(MotionEvent motionEvent) {
        Log.d("Gesture", "onSingleTapUp");
        controled.zoomIn();
        return true;
    }

    @Override
    public boolean onScroll(MotionEvent motionEvent, MotionEvent motionEvent2, float v, float v2) {
        Log.d("Gesture", "onScroll");
        controled.strafingX(v);
        controled.strafingY(v2);
        return true;
    }

    @Override
    public void onLongPress(MotionEvent motionEvent) {
        Log.d("Gesture", "onLongPress");
        controled.zoomOut();

    }

    @Override
    public boolean onFling(MotionEvent motionEvent, MotionEvent motionEvent2, float v, float v2) {
        Log.d("Gesture", "onFling");
        return true;
    }


    public boolean onTouch(View view, MotionEvent motionEvent) {
        detector.onTouchEvent(motionEvent);
        return true;
    }
}
